APIs in Category: options | Cluster-Mode API version 1.20

options-get-iter options-modify-iter

NetApp Manage ONTAP

options-get-iter | [top]

> Iterate over a list of options objects.

> Input Name | Range | Type | Description
> desired-attributes |  | option-info optional | Specify the attributes that should be returned. If not present, all attributes for which information is available will be returned. If present, only the desired attributes for which information is available will be returned.
> max-records | [1..2^32-1] | integer optional | The maximum number of records to return in this call. Default: 20
> query |  | option-info optional | A query that specifies which objects to return. A query could be specified on any number of attributes in the options object. All options objects matching this query up to 'max-records' will be returned.
> tag |  | string optional | Specify the tag from the last call. It is usually not specified for the first call. For subsequent calls, copy values from the 'next-tag' obtained from the previous call.
> Output Name | Range | Type | Description
> attributes-list |  | option-info[] optional | The list of attributes of options objects.
> next-tag |  | string optional | Tag for the next call. Not present when there are no more options objects to return.
> num-records | [0..2^32-1] | integer | The number of records returned in this call.

> Errno | Description
> EINTERNALERROR |  |
> EVSERVERNOTFOUND |  |

options-modify-iter | [top]

> Modify the attributes of options or a group of options objects.

> Input Name | Range | Type | Description
> attributes |  | option-info | Specify at least one modifiable element. Do not specify any other element.
> continue-on-failure |  | boolean optional | This input element is useful when multiple options objects match a given query. If set to true, the API will continue modifying the next matching options even when modification of a previous options fails. If set to false, the API will return on the first failure. Default: false
> max-failure-count | [1..2^32-1] | integer optional | When allowing failures ('continue-on-failure' is set to true), then this input element may be provided to limit the number of failed modify operations before the server gives up and returns. If set, the API will continue modifying the next matching options even when the modification of a previous matching options fails, and do so until the total number of objects failed to be modified reaches the maximum specified. If set to the maximum or not provided, then there will be no limit on the number of failed modify operations. Only applicable if 'continue-on-failure' is set to true. Default: 2^32-1
> max-records | [1..2^32-1] | integer optional | The maximum number of objects to be modified in this call. Default: 20
> query |  | option-info | If modifying a specific options, this input element must specify all keys. If modifying options objects based on query, this input element must specify a query.
> return-failure-list |  | boolean optional | If set to true, the API will return the list of options objects (just keys) that were not modified due to some error. If set to false, the list of options objects not modified will not be returned. Default: true
> return-success-list |  | boolean optional | If set to true, the API will return the list of options objects (just keys) that were successfully updated. If set to false, the list of options objects modified will not be returned. Default: true
> tag |  | string optional | Specify the tag from the last call. It is usually not specified for the first call. For subsequent calls, copy values from the 'next-tag' obtained from the previous call.
> Output Name | Range | Type | Description
> failure-list |  | options-modify-iter-info[] optional | Information about options objects that were not modified due to some error. This element will be returned only if input element 'return-failure-list' is true.
> next-tag |  | string optional | Tag for the next call. Not present when there are no more matching options objects to be modified.
> num-failed | [0..2^32-1] | integer optional | Number of options objects that matched the query, but were not modified due to some error.
> num-succeeded | [0..2^32-1] | integer optional | The number of options objects that matched the query and were successfully updated.
> success-list |  | options-modify-iter-info[] optional | The options objects that were successfully updated. This element will be returned only if input element 'return-success-list' is true

> Errno | Description
> EINTERNALERROR |  |
> EVSERVERNOTFOUND |  |

Element definition: option-info | [top]

> Name | Range | Type | Description
> cluster-constraint |  | string optional | Indicates the cluster-specific constraints of option. "none" - no constraint. "same_preferred" - same value should be used on both nodes of a HA pair. "same_required" - same value must be used on both nodes of a HA pair. "only_one" - value is used for both nodes of a HA pair, when in takeover mode. "unknown" - value is not valid. In Data ONTAP Cluster-Mode, this field will always be "none". This field is optional in Data ONTAP Cluster-Mode, but required in Data ONTAP 7-Mode.
> data-type |  | string optional | Data type of the option 'name'. Possible values are: "bool" - A boolean true / false value, "integer" - A decimal integer value, "unsigned" - A non-negative decimal integer value, "string" - A UTF-8 character string.
> default-value |  | string optional | Default initial value of this option. The field 'value' contains the current set value and could be different from this.
> description |  | string optional | Brief description of this option.
> name |  | string optional | Name of the option. This field is optional in Data ONTAP Cluster-Mode, but required in Data ONTAP 7-Mode.
> priv-level |  | string optional | The privilege level of this option. Possible values are: admin advanced diagnostic test
> value |  | string optional | Value of the option. This field is optional in Data ONTAP Cluster-Mode, but required in Data ONTAP 7-Mode.
> vserver |  | string optional | The name of the vserver to which this option belongs to.

Element definition: options-modify-iter-info | [top]

> Information about the modify operation that was attempted/performed against options object.

> Name | Range | Type | Description
> error-code | [0..2^32-1] | integer optional | Error code, if the modify operation caused an error.
> error-message |  | string optional | Error description, if the modify operation caused an error.
> options-key |  | option-info | The keys for the options object to which the modify operation applies.

Element definition: option-info | [top]

> Name | Range | Type | Description
> cluster-constraint |  | string optional | Indicates the cluster-specific constraints of option. "none" - no constraint. "same_preferred" - same value should be used on both nodes of a HA pair. "same_required" - same value must be used on both nodes of a HA pair. "only_one" - value is used for both nodes of a HA pair, when in takeover mode. "unknown" - value is not valid. In Data ONTAP Cluster-Mode, this field will always be "none". This field is optional in Data ONTAP Cluster-Mode, but required in Data ONTAP 7-Mode.
> data-type |  | string optional | Data type of the option 'name'. Possible values are: "bool" - A boolean true / false value, "integer" - A decimal integer value, "unsigned" - A non-negative decimal integer value, "string" - A UTF-8 character string.
> default-value |  | string optional | Default initial value of this option. The field 'value' contains the current set value and could be different from this.
> description |  | string optional | Brief description of this option.
> name |  | string optional | Name of the option. This field is optional in Data ONTAP Cluster-Mode, but required in Data ONTAP 7-Mode.
> priv-level |  | string optional | The privilege level of this option. Possible values are: admin advanced diagnostic test
> value |  | string optional | Value of the option. This field is optional in Data ONTAP Cluster-Mode, but required in Data ONTAP 7-Mode.
> vserver |  | string optional | The name of the vserver to which this option belongs to.